githubEdit

Packing endpoints

List pack jobs

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sizeintegerOptional

number of entities to show

Default: 25
startAfterIdstringOptional

all entities after given Id

anonymizedbooleanOptional

Parameter to filter anonymized pack jobs

assignedUserstringOptional

Reference the assigned user on this entity - id or username

statusstring[]Optional

Reference to the status you want to get the corresponding packJobs

facilityRefstringOptional

Reference to the facility you want to get the corresponding packJobs

searchTermstringOptional

Term by which to search through the fields

channelstring · enumOptional

Reference to the channel you want to get the corresponding packJobs

Possible values:
sourceContainerCodesstring[]Optional

filter by packingsourcecontainer containing codes

orderBystring · enumOptional

Attribute to order a packJobs by

Possible values:
startTargetTimestring · date-timeOptional

Start date range for pack jobs

Example: 2020-02-03T08:45:50.525Z
endTargetTimestring · date-timeOptional

End date range for pack jobs

Example: 2020-02-03T08:45:50.525Z
orderRefstringOptional

Reference to the order you want to get the corresponding packJobs

packJobIdsstring[]Optional

Reference to the packJobs you want to get

processIdstringOptional

Reference to the process you want to get the corresponding packJobs

pickJobRefstringOptional

Reference to the pickJobRef you want to get the corresponding packJobs

shortIdstringOptional

Reference to the shortId you want to get the corresponding packJobs

articleTitlestringOptional

Reference to the articleTitle you want to get the corresponding packJobs

startOrderDatestring · date-timeOptional

Start date range of the order for the corresponding pack jobs

Example: 2020-02-03T08:45:50.525Z
endOrderDatestring · date-timeOptional

End date range of the order for the corresponding pack jobs

Example: 2020-02-03T08:45:50.525Z
modifiedByUsernamestringOptional

Reference to the username you want to get the corresponding pack jobs

tenantOrderIdstringOptional

Reference to the tenantOrderId you want to get the corresponding packJobs

Responses
chevron-right
200

Pack jobs was loaded & you were allowed to access it. The result is in the body.

application/json

PackJobs

totalintegerOptional

Total number of found entities for this query

Example: 42
get
/api/packjobs

Get pack job

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packJobIdstringRequired

ID of the pack job you want to get

Responses
chevron-right
200

Pack job was found & you were allowed to access it. The result is in the body.

application/json

PackJob

and
get
/api/packjobs/{packJobId}

Update pack job

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packJobIdstringRequired

ID of the packjob you want to get

Body

PackJobPatchActions

versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
chevron-right
200

PackJob was found & patch-set has been applied. The patched pack job is in the body.

application/json

PackJob

and
patch
/api/packjobs/{packJobId}

Call pack job action

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packJobIdstringRequired

Reference to the pack job you want to call an action for

Body

PackJobActionsParameter

or
or
or
or
Responses
chevron-right
200

Updated PackJob in the body.

application/json

PackJob

and
post
/api/packjobs/{packJobId}/actions

Create pack job

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

PackJobForCreation

customAttributesobjectOptional

Attributes that can be added to the pack job. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

deliveryChannelstring · enumOptionalPossible values:
facilityRefstringRequired

Reference to the facility you want to get the corresponding packjob

Example: Esb50gpH7794X5NdMp3C
operativeProcessRefstringOptional
orderDatestring · date-timeOptional

Date when the order was placed.

Example: 2020-02-03T09:45:51.525Z
orderRefstringOptional

The id of the order

pickJobRefstringOptional

Reference to a pick job

Example: Pic50gpH7794X5NdMp3C
processIdstringOptional

Id of the global process related to this entity. For example used for starting the GDPR process and others.

recipientNamestringOptional

The name of the recipient

shortIdstringOptional

The short identifier of the shipment.

statusstring · enumOptional

A pack job initially has the status OPEN and packing can start. When packing has started, the pack job changes its status to IN_PROGRESS. After a pack job has been completely packed its status becomes CLOSED.

Possible values:
targetTimestring · date-timeOptional

Until when the pack job must be finished.

Example: 2020-02-03T09:45:51.525Z
tenantOrderIdstringOptional
Responses
post
/api/packjobs

Get pack job delivery note

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packJobIdstringRequired

ID of the pack job for which you want to get a deliverynote

Query parameters
localestringOptional

Provide the localized values for the delivery note. If not provided the default locale is used. For example de_DE.

Responses
chevron-right
200

The deliverynote for the given packjob

application/pdf
get
/api/packjobs/{packJobId}/deliverynote

Get pack job document handling

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packJobIdstringRequired

ID of the pack job you want to get document handling information

Responses
chevron-right
200

Pack job document handling was found & you were allowed to access it. The result is in the body.

application/json

DocumentHandling

get
/api/packjobs/{packJobId}/documenthandling

Get pack job transfer label

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packJobIdstringRequired

ID of the pack job for which you want to get a transfer label

Responses
chevron-right
200

The transfer label for the given packjob

application/pdf
get
/api/packjobs/{packJobId}/transferlabel

List pack jobs (search)

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Search for PackJob

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

PackJobSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

PackJobPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/packjobs/search

Get target container transfer label

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packJobIdstringRequired

ID of the pack job for which you want to get a transfer label

targetcontainerIdstringRequired

ID of the packingTargetContainer for which you want to get a transfer label

Responses
chevron-right
200

The transfer label for the given packingTargetContainer

application/pdf
get
/api/packjobs/{packJobId}/targetcontainers/{targetcontainerId}/transferlabel

Delete pack job target container

delete

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Deletes a packing target container

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packJobIdstringRequired

ID of corresponding packJob you want to patch

targetcontainerIdstringRequired

ID of container you want to delete

Responses
chevron-right
200

Container was found & you were allowed to delete it.

No content

delete
/api/packjobs/{packJobId}/targetcontainers/{targetcontainerId}

No content

Update packing config

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

PackingConfigurations

Responses
chevron-right
200

The packing central configuration was successfully updated.

application/json

PackingConfigurations

patch
/api/configurations/packing

Get packing config

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Central Configuration of all packing related things

application/json

PackingConfigurations

get
/api/configurations/packing

Get pack jobs tag config

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Packjob tag config is in response body.

application/json

PackJobTagConfiguration

and
and
get
/api/configurations/tags/packjob

Update pack jobs tag config

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

PackJobTagConfiguration

and
and
Responses
chevron-right
200

The packing configuration was successfully updated.

application/json

PackJobTagConfiguration

and
and
put
/api/configurations/tags/packjob

Get pack job return note

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packJobIdstringRequired

ID of the PackJob

Query parameters
localestringOptional

Provide the localized values for the delivery note. If not provided the default locale is used. For example de_DE.

Responses
chevron-right
200

Returns a return note for the packjob.

application/pdf
get
/api/packjobs/{packJobId}/returnnote

Last updated